package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IdentityBindPlatformSelfReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:31
 */
@Data
public class Nft015IdentityBindPlatformSelfResp implements Serializable {
    private static final Nft015IdentityBindPlatformSelfResp obj = new Nft015IdentityBindPlatformSelfResp();
    public static Nft015IdentityBindPlatformSelfResp getNew() {
        try {
            return (Nft015IdentityBindPlatformSelfResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft015IdentityBindPlatformSelfResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
